Get all Report Types Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/report-type

Query parameters

  • sort string

    Field to sort by. Valid fields are [name]. Negative sign to denote DESC. Defaults to 'name'.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • id string
      • name string
      • description string
      • query_params object
        Hide query_params attributes Show query_params attributes object
        • start_date object
          Hide start_date attributes Show start_date attributes object
          • type string
          • description string
          • example string
          • options array
          • required boolean
          • inputs array
          • list_type string | null
          • attributes array
        • end_date object
          Hide end_date attributes Show end_date attributes object
          • type string
          • description string
          • example string
          • options array
          • required boolean
          • inputs array
          • list_type string | null
          • attributes array
GET /api/v1/report-type
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/report-type' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    [
      {
        "id": "rmar",
        "name": "RMAR Report",
        "description": "Generates an RMAR report",
        "query_params": {
          "start_date": {
            "type": "date",
            "description": "Start point of created at date for clients",
            "example": "2026-10-08T16:24:04+01:00",
            "options": [],
            "required": false,
            "inputs": [],
            "list_type": null,
            "attributes": []
          },
          "end_date": {
            "type": "date",
            "description": "End point of created at date for clients",
            "example": "2026-10-08T16:24:04+01:00",
            "options": [],
            "required": false,
            "inputs": [],
            "list_type": null,
            "attributes": []
          }
        }
      }
    ]
  ]
}